Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 659466 - media-gfx/librecad-2.1.3-r2 fails to build with Qt 5.11
Summary: media-gfx/librecad-2.1.3-r2 fails to build with Qt 5.11
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sławek Lis
URL:
Whiteboard:
Keywords: PATCH
Depends on: 664560
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-06-28 09:51 UTC by Fabio Rossi
Modified: 2018-08-25 11:47 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
librecad-2.1.3-qt-5.11.patch (6c392e903e162b9283e88f53006e929663f2e883.patch,1.36 KB, patch)
2018-06-28 09:51 UTC, Fabio Rossi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Rossi 2018-06-28 09:51:17 UTC
Created attachment 537516 [details, diff]
librecad-2.1.3-qt-5.11.patch

I get the following error:

ui/generic/widgetcreator.cpp: In constructor ‘WidgetCreator::WidgetCreator(QWidget*, QMap<QString, QAction*>&, QMap<QString, QActionGroup*>, bool)’:
ui/generic/widgetcreator.cpp:59:44: error: invalid use of incomplete type ‘class QActionGroup’
         ui->categories_combobox->addItem(ag->objectName());
                                            ^~
In file included from ui/generic/widgetcreator.cpp:27:0:
ui/generic/widgetcreator.h:9:7: note: forward declaration of ‘class QActionGroup’
 class QActionGroup;
       ^~~~~~~~~~~~
In file included from /usr/include/qt5/QtGui/qtguiglobal.h:43:0,
                 from /usr/include/qt5/QtWidgets/qtwidgetsglobal.h:43,
                 from /usr/include/qt5/QtWidgets/qframe.h:43,
                 from /usr/include/qt5/QtWidgets/QFrame:1,
                 from ui/generic/widgetcreator.h:4,
                 from ui/generic/widgetcreator.cpp:27:
ui/generic/widgetcreator.cpp: In member function ‘void WidgetCreator::setCategory(QString)’:
ui/generic/widgetcreator.cpp:233:39: error: invalid use of incomplete type ‘class QActionGroup’
     foreach (auto action, action_group->actions())
                                       ^
In file included from ui/generic/widgetcreator.cpp:27:0:
ui/generic/widgetcreator.h:9:7: note: forward declaration of ‘class QActionGroup’
 class QActionGroup;
       ^~~~~~~~~~~~

The error is related to Qt 5.11 as suggested in https://www.mail-archive.com/bug-guix@gnu.org/msg09231.html, the issue has been already fixed upstream but the referenced commit doesn't apply as is on current 2.1.3. I have modified that patch to successfully compile librecad with qt 5.11
Comment 1 Larry the Git Cow gentoo-dev 2018-07-01 00:03:52 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c6192cedb2b10882654040e34fb7e7fca82b8c9

commit 6c6192cedb2b10882654040e34fb7e7fca82b8c9
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-06-30 23:37:29 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-07-01 00:03:40 +0000

    media-gfx/librecad: Fix build with Qt5, EAPI-6 bump
    
    Thanks-to: Fabio Rossi <rossi.f@inwind.it>
    Closes: https://bugs.gentoo.org/659466
    Package-Manager: Portage-2.3.41, Repoman-2.3.9

 media-gfx/librecad/Manifest                        |  1 +
 .../librecad/files/librecad-2.1.3-qt-5.11.patch    | 40 +++++++++++++++++
 media-gfx/librecad/librecad-2.1.3-r4.ebuild        | 51 ++++++++++++++++++++++
 media-gfx/librecad/librecad-9999.ebuild            | 24 ++++------
 4 files changed, 101 insertions(+), 15 deletions(-)